summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:18 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:18 -0400
commit96a5c0ecc45024e0a8179e95ac2d34c0cd477ce0 (patch)
tree4847f68e0487670cf825d2415863667fe4f376c0
parenta96513d17ec26edb28135bae28fe376dfd82dcf3 (diff)
downloadslackbuilds-96a5c0ecc45024e0a8179e95ac2d34c0cd477ce0.tar.gz
slackbuilds-96a5c0ecc45024e0a8179e95ac2d34c0cd477ce0.tar.xz
games/assaultcube: Fixed for bash4.
-rw-r--r--games/assaultcube/assaultcube.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/games/assaultcube/assaultcube.SlackBuild b/games/assaultcube/assaultcube.SlackBuild
index 568987bb52..396370c905 100644
--- a/games/assaultcube/assaultcube.SlackBuild
+++ b/games/assaultcube/assaultcube.SlackBuild
@@ -60,12 +60,8 @@ cp -ar \
bin_unix config bot demos mods packages screenshots \
$PKG/usr/share/$PRGNAM
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/share/{applications,pixmaps}
install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications